[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDatabase.DatabaseName

Database name or path

## Declaration

Source position: db.pas line 2095

`published property TDatabase.DatabaseName : string read FDatabaseName write FDatabaseName;`

## Description

DatabaseName specifies the path of the database. For directory-based databases this will be the same as the Directory property. For other databases this will be the name of a known pre-configured connection, or the location of the database file.

## See also

TDatabase.Directory |  | Directory for the database
TDatabase.Params |  | Connection parameters